com.streambase.sb.client

## Enum StreamBaseAdminClient.ListConnectionArgument

- java.lang.Object
- - java.lang.Enum<StreamBaseAdminClient.ListConnectionArgument>
  - - com.streambase.sb.client.StreamBaseAdminClient.ListConnectionArgument

- All Implemented Interfaces:
    Serializable, Comparable<StreamBaseAdminClient.ListConnectionArgument>
  Enclosing class:
    StreamBaseAdminClient

      public static enum StreamBaseAdminClient.ListConnectionArgument
      extends Enum<StreamBaseAdminClient.ListConnectionArgument>

  Valid arguments for the listConnection command

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `all` All connections
    `clearOld` Clear old connections
    `current` Current connections
    `old` Old connections

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static StreamBaseAdminClient.ListConnectionArgument` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static StreamBaseAdminClient.ListConnectionArgument[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### current

          public static final StreamBaseAdminClient.ListConnectionArgument current

      Current connections

    - #### old

          public static final StreamBaseAdminClient.ListConnectionArgument old

      Old connections

    - #### all

          public static final StreamBaseAdminClient.ListConnectionArgument all

      All connections

    - #### clearOld

          public static final StreamBaseAdminClient.ListConnectionArgument clearOld

      Clear old connections

  - ### Method Detail

    - #### values

          public static StreamBaseAdminClient.ListConnectionArgument[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (StreamBaseAdminClient.ListConnectionArgument c : StreamBaseAdminClient.ListConnectionArgument.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static StreamBaseAdminClient.ListConnectionArgument valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2015–2018 Cloud Software Group, Inc.. All rights reserved.